<style type="text/css">

select{

	cursor:pointer;

}

</style>





<div class="content-wrapper">

	<section class="content-header">

		<h1>

			Trabajadores

			<small>modulo</small>

		</h1>

		<ol class="breadcrumb">

			<li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>

			<li><a href="#">Mantenimiento</a></li>

			<li><a href="#">Operaciones</a></li>

			<li class="active"></i> Trabajadores</li>

		</ol>

	</section>

	<section class="content" style="min-height:0px;padding-bottom:0px;margin-bottom:-30px;">

		<div class="row">

			<div class="col-xs-12">

				<div class="box">

					<div class="box-header">

						<button id="btn_agregar" onClick="trabajador_form('insertar')" class="btn btn-primary">Agregar</button>

						<button id="btn_actualizar" class="btn btn-default">Actualizar</button>

					</div>

				</div>

			</div>

		</div>

	</section>



		<!-- formulario de registro -->

			<div class="modal fade" id="div_vendedor_form_dialog" role="dialog" data-keyboard="true" tabindex="-1"  style="padding:0px;">

			<div class="modal-dialog "  role="document" >



			<div class="modal-content">



			<div class="modal-body div_vendedor_form" >



			</div>

			<br />

			<br />

			</div>

			</div>

			</div>

			

		<!-- tabla de registros -->

		<div id="div_trabajador_tabla"></div>

		

</div>



<script type="text/javascript">



	function trabajador_tabla()

	{	

		$.ajax({

			type: "POST",

			url: "../trabajador/trabajador_tabla.php",

			async:true,

			dataType: "html",                      

			data: ({

			//pro_est:	$('#cmb_fil_pro_est').val()

		}),

			beforeSend: function() {

				$('#div_trabajador_tabla').addClass("ui-state-disabled");

			},

			success: function(html){

				$('#div_trabajador_tabla').html(html);

			},

			complete: function(){			

				$('#div_trabajador_tabla').removeClass("ui-state-disabled");

			}

		});     

	}



	function trabajador_form(act,idf)

	{

		$('#div_vendedor_form_dialog').modal();

		$.ajax({

			type: "POST",

			url: "../trabajador/trabajador_form.php",

			async:true,

			dataType: "html",                      

			data: ({

				action: act,

				vendid: idf

			}),

			beforeSend: function() {

				var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	

				$('.div_vendedor_form').html(div);

			},

			success: function(html){

				$('.div_vendedor_form').html(html);		

			}

		});

	}



function eliminar_trabajador(act,id){

	

		if(!confirm('¿Desea eliminar a este vendedor?'))

			return false;

		$.ajax({

			type: "POST",

			url: "../vendedor/vendedor_reg.php",

			dataType: "json",

			async:true,                     

			data:({

				hdd_action: act,

				hdd_vendedor_id: id

			}),

			beforeSend: function() {

				

			},

			success: function(data){

				$('#msj_vendedor').html(data.ven_msj);

				vendedor_tabla();

			}

		});

	}





$(function() {

	

	$('#btn_actualizar').click(function() {

		$("#content").load("../trabajador/trabajador_vista.php");

	});

	

	$("#div_vendedor_form_dialog").on('hidden.bs.modal', function(){

          	$("#content").load("../trabajador/trabajador_vista.php");

	});

	

	trabajador_tabla();



	setTitle("TRABAJADORES - "+nombreEmpresa);	



	

});



</script>